Add Logger Owner
Add an owner to a logger. Owners have management access to the logger.
Authentication
Requires management credentials:
Api-Key— Your API keyApi-Secret— Your API secret
Path Parameters
| Parameter | Description |
|---|---|
id |
The unique identifier of the logger |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
user_id |
string | yes | The user ID to add as owner |
1{
2 "user_id": "user_abc123"
3}
Request
curl -X POST "https://api.hola.cloud/v1/loggers/logger_xyz789/owners" \
-H "Api-Key: LOGGER_API_KEY" \
-H "Api-Secret: LOGGER_API_SECRET" \
-H "Content-Type: application/json" \
-d '{
"user_id": "user_abc123"
}'POST /v1/loggers/logger_xyz789/owners HTTP/1.1
Host: api.hola.cloud
Api-Key: LOGGER_API_KEY
Api-Secret: LOGGER_API_SECRET
Content-Type: application/json
{
"user_id": "user_abc123"
}package main
import (
"fmt"
"io"
"net/http"
"encoding/json"
"strings"
)
func main() {
payload := map[string]any{"user_id": "user_abc123"}
bodyBytes, err := json.Marshal(payload)
if err != nil {
panic(err)
}
body := string(bodyBytes)
req, err := http.NewRequest("POST", "https://api.hola.cloud/v1/loggers/logger_xyz789/owners", strings.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Api-Key", "LOGGER_API_KEY")
req.Header.Set("Api-Secret", "LOGGER_API_SECRET")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$payload = ['user_id' => 'user_abc123'];
$body = json_encode($payload);
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/v1/loggers/logger_xyz789/owners',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => $body,
CURLOPT_HTTPHEADER => [
'Api-Key: LOGGER_API_KEY',
'Api-Secret: LOGGER_API_SECRET',
'Content-Type: application/json',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
import json
headers = {
"Api-Key": "LOGGER_API_KEY",
"Api-Secret": "LOGGER_API_SECRET",
"Content-Type": "application/json",
}
payload = {"user_id": "user_abc123"}
body = json.dumps(payload)
response = requests.request(
"POST",
"https://api.hola.cloud/v1/loggers/logger_xyz789/owners",
headers=headers,
data=body
)
print(response.text)
const payload = {"user_id": "user_abc123"};
const response = await fetch("https://api.hola.cloud/v1/loggers/logger_xyz789/owners", {
method: "POST",
headers: {
"Api-Key": "LOGGER_API_KEY",
"Api-Secret": "LOGGER_API_SECRET",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
});
console.log(await response.text());
const payload = {"user_id": "user_abc123"};
const response = await fetch("https://api.hola.cloud/v1/loggers/logger_xyz789/owners", {
method: "POST",
headers: {
"Api-Key": "LOGGER_API_KEY",
"Api-Secret": "LOGGER_API_SECRET",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.util.Map;
import java.util.List;
public class Main {
public static void main(String[] args) throws Exception {
var payload = Map.of("user_id", "user_abc123");
var body = new ObjectMapper().writeValueAsString(payload);
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/v1/loggers/logger_xyz789/owners"))
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.header("Api-Key", "LOGGER_API_KEY")
.header("Api-Secret", "LOGGER_API_SECRET")
.header("Content-Type", "application/json")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}curl -X POST "https://api.hola.cloud/v1/loggers/logger_xyz789/owners" \
-H "Api-Key: LOGGER_API_KEY" \
-H "Api-Secret: LOGGER_API_SECRET" \
-H "Content-Type: application/json" \
-d '{
"user_id": "user_abc123"
}'POST /v1/loggers/logger_xyz789/owners HTTP/1.1
Host: api.hola.cloud
Api-Key: LOGGER_API_KEY
Api-Secret: LOGGER_API_SECRET
Content-Type: application/json
{
"user_id": "user_abc123"
}package main
import (
"fmt"
"io"
"net/http"
"encoding/json"
"strings"
)
func main() {
payload := map[string]any{"user_id": "user_abc123"}
bodyBytes, err := json.Marshal(payload)
if err != nil {
panic(err)
}
body := string(bodyBytes)
req, err := http.NewRequest("POST", "https://api.hola.cloud/v1/loggers/logger_xyz789/owners", strings.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Api-Key", "LOGGER_API_KEY")
req.Header.Set("Api-Secret", "LOGGER_API_SECRET")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$payload = ['user_id' => 'user_abc123'];
$body = json_encode($payload);
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/v1/loggers/logger_xyz789/owners',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => $body,
CURLOPT_HTTPHEADER => [
'Api-Key: LOGGER_API_KEY',
'Api-Secret: LOGGER_API_SECRET',
'Content-Type: application/json',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
import json
headers = {
"Api-Key": "LOGGER_API_KEY",
"Api-Secret": "LOGGER_API_SECRET",
"Content-Type": "application/json",
}
payload = {"user_id": "user_abc123"}
body = json.dumps(payload)
response = requests.request(
"POST",
"https://api.hola.cloud/v1/loggers/logger_xyz789/owners",
headers=headers,
data=body
)
print(response.text)
const payload = {"user_id": "user_abc123"};
const response = await fetch("https://api.hola.cloud/v1/loggers/logger_xyz789/owners", {
method: "POST",
headers: {
"Api-Key": "LOGGER_API_KEY",
"Api-Secret": "LOGGER_API_SECRET",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
});
console.log(await response.text());
const payload = {"user_id": "user_abc123"};
const response = await fetch("https://api.hola.cloud/v1/loggers/logger_xyz789/owners", {
method: "POST",
headers: {
"Api-Key": "LOGGER_API_KEY",
"Api-Secret": "LOGGER_API_SECRET",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.util.Map;
import java.util.List;
public class Main {
public static void main(String[] args) throws Exception {
var payload = Map.of("user_id", "user_abc123");
var body = new ObjectMapper().writeValueAsString(payload);
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/v1/loggers/logger_xyz789/owners"))
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.header("Api-Key", "LOGGER_API_KEY")
.header("Api-Secret", "LOGGER_API_SECRET")
.header("Content-Type", "application/json")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}Response
Returns the updated list of owners.
1["user_def456", "user_abc123"]
Error Codes
| Code | Description |
|---|---|
| 400 | Missing or invalid user_id field |
| 401 | Missing or invalid API credentials |
| 403 | API credentials do not have access to this logger |
| 404 | Logger not found |
Comments